PUT Sku Attributes

Insert product sku attributes.
A upsert statement verify if already exists a product with the code set on body request and updates an existing product or creates a new one.
This request is an array, so you can insert more than one attribute by query.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Take notice!

This request updates all values already set. Pay attention and don't have anything lost!

Request body example (Text Type)

[
	{
		"skuId": "C0F77B80-B6EA-48AE-BD6A-000B51E4FD12",
		"type": "Text",
		"title": "Tamanho",
		"value": "UN",
		"label": "UN",
		"order": 1
	},
	{
		"skuId": "C0F77B80-B6EA-48AE-BD6A-000B51E4FD12",
		"type": "Text",
		"title": "Cor",
		"value": "ROXO em TEXTO",
		"label": "ROXO",
		"order": 2
	},
	{
		"skuId": "C0F77B80-B6EA-48AE-BD6A-000B51E4FD12",
		"type": "Color",
		"title": "Cor",
		"value": "#714fee",
		"label": "ROXO em HEXADECIMAL",
		"order": 3
	}
]

Request body example (Color Type)

[
	{
		"skuId": "C0F77B80-B6EA-48AE-BD6A-000B51E4FD12",
		"type": "1",
		"title": "Cor",
		"value": "#000000",
		"label": "Preto",
		"order": "2"
	}
]

Fields Description

FieldTypeDescription
skuIdStringSku ID
orderStringThe order where the attribute appears on catalog
typeEnumAttribute type, its defined by: 0 ="Text", 1= "Color" or 2= "Dropdown"
titleStringAttribute title
valueStringAttribute value
labelStringAttribute label

📘

Result

A 204- No Content result means that the stock was successfully updated.

Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
string
required

Sku ID (Guid)

Body Params
RAW_BODY
array of objects
required

An array with the sku attributes body.

RAW_BODY*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json